Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class TypesHelper

    java.lang.Object
      com.beasys.commerce.util.TypesHelper

Deprecated Use `Expression` and subclasses instead.

    public class TypesHelper

extends Object

A helper with constants for the various types and operators for configurable entity properties.

In general, there are 6 types of properties for configurable entities, represented by constants on this class. Each of those types corresponds to a Java object type as follows:

Constant Name | Constant Value | Class
--- | --- | ---
`BOOLEAN` | 0 | java.lang.Boolean
`INTEGER` | 1 | java.lang.Long
`FLOAT` | 2 | java.lang.Double
`TEXT` | 3 | java.lang.String
`DATETIME` | 4 | java.sql.Timestamp
`USER_DEFINED` | 5 | java.lang.Object

Additionally, a property can also be multi-valued, in which case the value will be a `java.util.Collection` of objects of the property's type (e.g. java.lang.String's).

This class provides utility methods to get string representations of the type names, to determine a type from a java.sql.Type, and to get the list of comparision operators for a certain type.

See Also
  `ExpressionHelper`

Field Summary
`static String` | `AND` Deprecated See BEA Commerce product offering
`static int` | `BOOLEAN` Deprecated See BEA Commerce product offering
`static String` | `CONTAINS` Deprecated See BEA Commerce product offering
`static String` | `CONTAINS_ALL` Deprecated See BEA Commerce product offering
`static int` | `DATETIME` Deprecated See BEA Commerce product offering
`static String` | `EQUALS` Deprecated See BEA Commerce product offering
`static int` | `FLOAT` Deprecated See BEA Commerce product offering
`static String` | `GREATER_THAN` Deprecated See BEA Commerce product offering
`static String` | `GREATER_THAN_EQUALS` Deprecated See BEA Commerce product offering
`static int` | `INTEGER` Deprecated See BEA Commerce product offering
`static String` | `LESS_THAN` Deprecated See BEA Commerce product offering
`static String` | `LESS_THAN_EQUALS` Deprecated See BEA Commerce product offering
`static String` | `LIKE` Deprecated See BEA Commerce product offering
`static String` | `LIKE_IGNORECASE` Deprecated See BEA Commerce product offering
`static int` | `MULTI_VALUED` Deprecated See BEA Commerce product offering
`static String` | `NOT_EQUALS` Deprecated See BEA Commerce product offering
`static String` | `OR` Deprecated See BEA Commerce product offering
`static int` | `TEXT` Deprecated See BEA Commerce product offering
`static int` | `USER_DEFINED` Deprecated See BEA Commerce product offering

Constructor Summary
`TypesHelper()` Deprecated See BEA Commerce product offering

Method Summary
`static int` | `fromSQLType(int sqlType)` Deprecated See BEA Commerce product offering
`static List` | `getComparators(int type)` Deprecated See BEA Commerce product offering
`static String` | `getDisplayName(String comparator)` Deprecated See BEA Commerce product offering
`static String` | `getTypeName(int type)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOLEAN

    public static final int BOOLEAN

  Deprecated See BEA Commerce product offering
  The constant for a boolean type (0).

  See Also
    Constants Summary

### INTEGER

    public static final int INTEGER

  Deprecated See BEA Commerce product offering
  The constant for a numeric type (1).

  See Also
    Constants Summary

### FLOAT

    public static final int FLOAT

  Deprecated See BEA Commerce product offering
  The constant for the floating-point numeric type (2).

  See Also
    Constants Summary

### TEXT

    public static final int TEXT

  Deprecated See BEA Commerce product offering
  The constant for a text type (3).

  See Also
    Constants Summary

### DATETIME

    public static final int DATETIME

  Deprecated See BEA Commerce product offering
  The constant for a datetime type (4).

  See Also
    Constants Summary

### USER_DEFINED

    public static final int USER_DEFINED

  Deprecated See BEA Commerce product offering
  The constant for a user defined type (5).

  See Also
    Constants Summary

### MULTI_VALUED

    public static final int MULTI_VALUED

  Deprecated See BEA Commerce product offering
  The constant for a multivalued type (6).

  See Also
    Constants Summary

### EQUALS

    public static final String EQUALS

  Deprecated See BEA Commerce product offering
  The equals (`==`) comparator constant.

  See Also
    Constants Summary

### NOT_EQUALS

    public static final String NOT_EQUALS

  Deprecated See BEA Commerce product offering
  The not equals (`!=`) comparator constant.

  See Also
    Constants Summary

### GREATER_THAN

    public static final String GREATER_THAN

  Deprecated See BEA Commerce product offering
  The greater than (`>`) comparator constant.

  See Also
    Constants Summary

### LESS_THAN

    public static final String LESS_THAN

  Deprecated See BEA Commerce product offering
  The less than (`<`) comparator constant.

  See Also
    Constants Summary

### GREATER_THAN_EQUALS

    public static final String GREATER_THAN_EQUALS

  Deprecated See BEA Commerce product offering
  The greater than or equals (`>=`) comparator constant.

  See Also
    Constants Summary

### LESS_THAN_EQUALS

    public static final String LESS_THAN_EQUALS

  Deprecated See BEA Commerce product offering
  The less than or equals (`<=`) comparator constant.

  See Also
    Constants Summary

### LIKE

    public static final String LIKE

  Deprecated See BEA Commerce product offering
  The wildcard pattern ("`like`") comparator constant.

  See Also
    Constants Summary

### LIKE_IGNORECASE

    public static final String LIKE_IGNORECASE

  Deprecated See BEA Commerce product offering
  The wildcard pattern ("`likeignorecase`") comparator constant.

  See Also
    Constants Summary

### CONTAINS

    public static final String CONTAINS

  Deprecated See BEA Commerce product offering
  The contains ("`contains`") comparator constant.

  See Also
    Constants Summary

### CONTAINS_ALL

    public static final String CONTAINS_ALL

  Deprecated See BEA Commerce product offering
  The contains all ("`containsall`") comparator constant.

  See Also
    Constants Summary

### AND

    public static final String AND

  Deprecated See BEA Commerce product offering
  The "and" (`&&`) logical operator.

  See Also
    Constants Summary

### OR

    public static final String OR

  Deprecated See BEA Commerce product offering
  The "or" (`||`) logical operator.

  See Also
    Constants Summary

Constructor Detail

### TypesHelper

    public TypesHelper()

  Deprecated See BEA Commerce product offering

Method Detail

### fromSQLType

    public static int fromSQLType(int sqlType)

  Deprecated See BEA Commerce product offering

  Convert a java.sql.Types constant into one of ours.

  Parameters
    `sqlType` - value from java.sql.Types.
  Returns
    the corresponding attribute type (BOOLEAN, NUMERIC, TEXT, DATETIME, MULTI_VALUED, or USER_DEFINED).

### getTypeName

    public static String getTypeName(int type)

  Deprecated See BEA Commerce product offering

  Get the descriptive type name from the type.

  Parameters
    `type` - the type (BOOLEAN, NUMERIC, TEXT, DATETIME, MULTI_VALUED, USER_DEFINED).
  Returns
    the type name as a String.

### getComparators

    public static List getComparators(int type)

  Deprecated See BEA Commerce product offering

  Get the list of comparators for a given attribute type.

  Returns
    an unmodifiable List of comparators represented by the constants in this class.

### getDisplayName

    public static String getDisplayName(String comparator)

  Deprecated See BEA Commerce product offering

  Get the display name for the given comparator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved